PDA

View Full Version : [ubuntu] looking for libx264 files



Mia1990
June 3rd, 2010, 07:18 AM
Dumb question i know but were do i get the .dev files for libx264 0.98 i think is the version it is asking for.I install the latest libx264 from git or does that install the .dev file also.
Thanks

Temüjin
June 3rd, 2010, 04:58 PM
32-bit:
http://www.debian-multimedia.org/dists/unstable/main/binary-i386/
64-bit:
http://www.debian-multimedia.org/dists/unstable/main/binary-amd64/

Install libx264-98 first, then libx264-dev. I know it's a debian site, but I looked at the package requirements and see no reason they won't install on lucid.

FakeOutdoorsman
June 3rd, 2010, 05:03 PM
Dumb question i know but were do i get the .dev files for libx264 0.98 i think is the version it is asking for.I install the latest libx264 from git or does that install the .dev file also.
Thanks

If you're compiling FFmpeg then compile and install x264 from git. This method will provide the necessary files. For more information on compiling x264 and FFmpeg on Ubuntu:

HOWTO: Install and use the latest FFmpeg and x264 (http://ubuntuforums.org/showthread.php?t=786095)

Mia1990
June 5th, 2010, 07:49 AM
Thank you both.Yes i i just compiled the newest ffmpeg from svn and all went great.I never use the quick menu option in tovid so i do not need the vhooks.